# Price frequency tiers

Price frequency tiers let you segment the pricing of your products by defining different prices for specific intervals based on frequency (usually leveraged to offer [subscription-based](/core-api-reference/subscription_models.md) discounts). The price of the associated SKU will be set by the tier the frequency specified for the related order's line item purchased falls within. The available frequencies are the same as for [subscriptions](/core-api-reference/subscription_models.md#subscription-frequencies) (string label or crontab expression). As a custom frequency an integer (number of days) is also accepted.

For each tier the main attributes you need to specify are:

* `up_to` — the tier's upper limit (in terms of the line item frequency — expressed in days or using one of the allowed frequency labels).
* `price_amount_cents` — the unit price to be used for the related SKU if the frequency of the associated line item is lower than (or equal to) the `up_to` limit.

If the `up_to` attribute is `null` the related tier will be considered a *beyond* tier, meaning that the specified unit price will be used if the frequency of the line items associated with the SKU's is greater than the maximum tier's upper limit. If no *beyond* tier is set the standard SKU's [price](/core-api-reference/prices/object.md) `amount_cents` will be used as the *beyond* price.

Just [like price volume tiers](https://docs.commercelayer.io/developers/importing-resources#importing-a-list-of-prices-with-price-tiers) price frequency tiers can be imported together with the related prices.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/price_frequency_tiers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
